from pydantic import BaseModel, conint, conlist, constr
from typing import Optional
from datetime import datetime


class ModaliteService(BaseModel):
    codeEtablissement: Optional[str]
    codeTempsIncomplet: Optional[str]
    codeTypeModaliteService: str
    dateDebutModaliteService: datetime
    dateFinModaliteService: datetime
    heurePresenceParMois: float
    heurePresenceParSemaine: float
    heuresPresenceParJour: float
    libCourtEtablissement: Optional[str]
    libLongEtablissement: Optional[str]
    libLongTempsIncomplet: Optional[str]
    libLongTypeModaliteService: str
    matricule: str
    numeroArreteModaliteService: Optional[str]
    ratioHeurePresenceTempsPlein: float
    temValiditeModaliteService: str