from datetime import datetime

class Mdate:

    @staticmethod
    def string_to_datetime(date_string: str) -> datetime:
        """ Convertit une chaîne de caractères en objet datetime

        Args:
            date_string (str): La chaîne de caractères représentant la date

        Returns:
            L'objet datetime
        """
        return datetime.strptime(date_string, '%d/%m/%Y')