import pathlib
import configparser
from typing import Optional
from wssiham import PACKAGEDIR

class Xconfig:

    appconfig : str = f"{PACKAGEDIR}/config.ini"
    dirconfile : str = f"{PACKAGEDIR}/config"

    def pathconf_ws(self) -> Optional[str]:
        if not pathlib.Path(self.appconfig).exists():
            print("Le fichier de configuration de l'application n'existe pas")
        else:
            parserconfig = configparser.ConfigParser()
            parserconfig.read(self.appconfig)
            namefileconfig = parserconfig.get('APP', 'WS_CONFIG_FILE')
            return f"{self.dirconfile}/{namefileconfig}"
        return None

    def environnement_name(self):
        parserconfig = configparser.ConfigParser()
        parserconfig.read(self.appconfig)
        return parserconfig.get('APP', 'ENVIRONMENT')